CREATE TABLE IF NOT EXISTS `voteCat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` VARCHAR (30) NOT NULL,
  `add_vote` enum('0', '1', '2', '3') NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251;

CREATE TABLE IF NOT EXISTS `vote` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userId` int(11) NOT NULL,
  `catId` int(11) NOT NULL,
  `name_vote` VARCHAR (70) NOT NULL,
  `description` VARCHAR (300) NOT NULL,
  `who` enum('0', '1', '2') NOT NULL,
  `answers` VARCHAR (500) NOT NULL,
  `time` int(11) NOT NULL,
  `time_end` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251;

CREATE TABLE IF NOT EXISTS `voteAnswers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userId` int(11) NOT NULL,
  `voteId` int(11) NOT NULL,
  `answer` VARCHAR (300) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251;

CREATE TABLE IF NOT EXISTS `voteComm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userId` int(11) NOT NULL,
  `voteId` int(11) NOT NULL,
  `comment` VARCHAR (300) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251;

CREATE TABLE IF NOT EXISTS `voteViews` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userId` int(11) NOT NULL,
  `voteId` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251;

CREATE TABLE IF NOT EXISTS `voteRating` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` enum('plus', 'minus') NOT NULL,
  `userId` int(11) NOT NULL,
  `voteId` int(11) NOT NULL,
  `count` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251;