<?php

/**
 * @author: Кремнев Анатолий
 * https://vk.com/id444177745
 */

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg(); # если зашёл гость, то перекидываем

// Проверяем на существование даты
function date_check($data)
{
    $pattern = "/^([0-9]{4})-([0-9]{2})-([0-9]{2})$/";
    if (preg_match($pattern, $data, $razdeli)) :
        if (checkdate($razdeli[2], $razdeli[3], $razdeli[1]))
            return true;
        else
            return false;
    else :
        return false;
    endif;
}

switch (isset($_GET['act']) ? $_GET['act'] : null) {

    /**
     * Все категории
     */

    default:

        // шапка страницы
        $set['title'] = 'Голосование';
        include_once '../sys/inc/thead.php';
        title();
        aut();

        // Доступно только пользователю с ID = 1
        if ($user['id'] == 1) {
            ?>
            <div class="mess">
                <img src="/vote/icons/add.png" alt="Добавить категорию"/> <a href="/vote/add_cat/">Добавить
                    категорию</a><br/>
            </div><br/>
            <?
        }

        if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteCat`"), 0) == FALSE) {
            ?>

            <div class="mess">
                Категорий нет
            </div>

            <?
        } else {

            // Цикл вывода категорий
            $query = mysql_query("SELECT * FROM `voteCat` ORDER BY `id` ASC");
            $i = 1;
            while ($ex = mysql_fetch_array($query)) {
                $count = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `vote` WHERE `catId` = '{$ex['id']}' AND `time_end` > '{$time}'"), 0);
                $time_end_count = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `vote` WHERE `catId` = '{$ex['id']}' AND `time_end` < '{$time}'"), 0);

                echo '<div class="mess">';
                echo $i++ . ". <a href='/vote/cat/{$ex['id']}/'>{$ex['name']}</a> (<span style='color: darkgreen'><b>{$count}</b></span>/<span style='color: darkred'><b>{$time_end_count}</b></span>)<br />";
                if ($user['id'] == 1) {
                    ?>
                    <img src="/vote/icons/edit.png" alt="Изменить / Удалить"/> [<a
                            href="/vote/cat/edit/<?= $ex['id'] ?>/"><span
                                style="color: blue;"><b>Изменить</b></span></a> |
                    <a
                            href="/vote/cat/delete/<?= $ex['id'] ?>/"><span
                                style="color: red;"><b>Удалить</b></span></a>]
                    <?
                }
                ?>
                </div>
                <?
            }
        }

        // Подсчёт топа опросов
        $top = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteRating` WHERE `type` = 'plus' AND `count` > 0"), 0);

        if (!empty($top)) {
            ?>
            <br/>
            <div class="mess">
                <img src="/vote/icons/rating.png" alt=""/> <a href="/vote/top/">Топ опросов</a> [<?= $top ?>]
            </div>
            <?
        }
        break;

    /**
     * Добавление категории
     */

    case 'add_cat':

        if ($user['id'] != 1) { // Доступно только пользователю с ID = 1

            // шапка страницы
            $set['title'] = 'Ошибка';
            include_once '../sys/inc/thead.php';
            title();
            aut();

            ?>
            <div class="mess">
                Извините! Вам сюда нельзя
            </div>
            <?

        } else {

            // шапка страницы
            $set['title'] = 'Категории - Добавление';
            include_once '../sys/inc/thead.php';
            title();
            aut();

            ?>
            <div class="mess">
                <img src="/vote/icons/all.png" alt="Все опросы"/> <a href="/vote/">Все опросы</a><br/>
            </div><br/>
            <?

            if (strtoupper($_SERVER['REQUEST_METHOD']) != 'POST') {

                // Форма ввода
                ?>

                <div class="mess">
                    <form action="/vote/add_cat/" method="POST">
                        Название категории(30 ):<br/>
                        <input type="text" name="name"/><br/><br/>
                        Возможность создания голосования в этой категории:<br/>
                        <select name="add_vote">
                            <option value="0" selected>Все пользователи</option>
                            <option value="1">Администрация</option>
                            <option value="2">Только пользователи</option>
                            <option value="3">Только я</option>
                        </select><br/><br/>
                        <input type="submit" value="Добавить"/>
                    </form>
                </div>

                <?
            } else {
                $name = my_esc($_POST['name']); # название категории
                $add_vote = (int)$_POST['add_vote']; # доступ создания опроса
                if ($add_vote > 3)
                    die('error');

                // Если название категории пустое, то вывыодим ошибку
                if (empty ($name)) {

                    ?>
                    <div class="mess">
                        Извините! Пустое название
                    </div>
                    <?

                } else {

                    // Если название категории имеет больше 30 символов, то выводим ошибку
                    if (mb_strlen($name, "utf-8") > 30) {

                        ?>
                        <div class="mess">
                            Извините! Название больше 30 символов
                        </div>
                        <?

                    } else {

                        // Если всё хорошо, то уведомляем об успешном создании категории

                        mysql_query("INSERT INTO `voteCat` SET `name` = '{$name}', `add_vote` = '{$add_vote}', `time` = '{$time}'");
                        $id = mysql_insert_id();
                        ?>
                        <div class="mess">
                            Поздравляем ! Категория <b><?= $name ?></b> успешно <b>создана</b><br/>
                            <img src="/vote/icons/star.png" alt="star"/> <a href="/vote/cat/<?= $id ?>/">Перейти</a>
                        </div>
                        <?

                    }
                }
            }

        }

        break;

    /**
     * Добавление опроса
     */

    case 'add_vote':

        $id = (int)$_GET['id']; # ID передаваемой категории
        $cat = mysql_fetch_array(mysql_query("SELECT * FROM `voteCat` WHERE `id` = '{$id}' LIMIT 1"));

        // Если категория не найдена в базе данных, то выдаем ошибку
        if (!$cat) {

            // шапка страницы
            $set['title'] = 'Ошибка';
            include_once '../sys/inc/thead.php';
            title();
            aut();

            ?>
            <div class="mess">
                <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
            </div><br/>

            <div class="mess">
                Извините! Категория не найдена
            </div>
            <?

        } else {

            /*
             * Прроверка на возможность добавления опроса
             * В зависимости от значения(add_vote) выбранной категории, разрешаем / запрещаем вход
            */
            if (($cat['add_vote'] == 1 AND $user['level'] < 1) OR ($cat['add_vote'] == 2 AND $user['level'] > 0) OR ($cat['add_vote'] == 3 AND $user['id'] != 1)) {

                $arr = array(
                    1 => 'Только для администрации',
                    2 => 'Только пользователям',
                    3 => 'Только создателю сайта'
                );

                // шапка страницы
                $set['title'] = 'Ошибка';
                include_once '../sys/inc/thead.php';
                title();
                aut();

                ?>
                <div class="mess">
                    <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                </div><br/>

                <div class="mess">
                    Извините! В категории <a href="/vote/cat/<?= $id ?>/"><?= $cat['name'] ?></a> создание опроса
                    доступно: <b><?= $arr[$cat['add_vote']] ?></b>
                </div>
                <?

            } else {

                // шапка страницы
                $set['title'] = 'Голосование - Добавление';
                include_once '../sys/inc/thead.php';
                title();
                aut();

                ?>

                <div class="mess">
                    <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Голосования</a><br/>
                    <img src="/vote/icons/right.png" alt="right"/> <a href="/vote/cat/<?= $id ?>/">В категорию</a><br/>
                </div><br/>

                <?

                if (strtoupper($_SERVER['REQUEST_METHOD']) != 'POST') {
                    // Форма добавления
                    ?>

                    <script src="http://code.jquery.com/jquery-1.11.0.js"></script>

                    <script type="text/javascript">
                        var total = 0;

                        function add_new() {
                            total++;
                            $('<tr>')
                                .attr('id', 'tr_image_' + total)
                                .css({lineHeight: '20px'})
                                .append(
                                    $('<td>')
                                        .attr('id', 'td_title_' + total)
                                        .css({paddingRight: '5px', width: '200px'})
                                        .append(
                                            $('<input type="text" />')
                                                .css({width: '200px'})
                                                .attr('id', 'input_title_' + total)
                                                .attr('name', 'input_title_' + total)
                                        )
                                )
                                .append(
                                    $('<td>')
                                        .attr('id', 'td_picture_' + total)
                                        .css({paddingRight: '5px', width: '200px'})
                                        .append(
                                            $('<input type="file" />')
                                                .css({width: '200px'})
                                                .attr('id', 'input_picture_' + total)
                                                .attr('name', 'input_picture_' + total)
                                        )
                                )
                                .append(
                                    $('<td>')
                                        .css({width: '60px'})
                                        .append(
                                            $('<span id="progress_' + total + '" class="padding5px"><a href="javascript://" onclick="$(\'#tr_image_' + total + '\').remove();" class="ico_delete"><img src="/vote/icons/delete.png" alt="del" border="0"></a></span>')
                                        )
                                )
                                .appendTo('#table_container');
                        }

                        $(document).ready(function () {
                            add_new();
                        });
                    </script>

                    <div class="mess">
                        <form action="/vote/add_vote/<?= $id ?>/" enctype="multipart/form-data" method="POST">
                            Название опроса(70):<br/>
                            <input type="text" name="name_vote"/><br/><br/>

                            <?

                            if (is_file(H . 'style/themes/' . $set['set_them'] . '/altername_post_form.php')) {
                                include_once H . 'style/themes/' . $set['set_them'] . '/altername_post_form.php';
                            } else {

                                ?>
                                Описание опроса(необязательно, 300):<br/>
                                <?= $tPanel ?><textarea name="msg"><?= $vote['description'] ?></textarea><br/>
                                <br/>
                                <?
                            }

                            ?>

                            <?
                            ?>
                            <select name="cat">
                                <?
                                if (!isset($_GET['id']))
                                    ?>
                                    <option disabled selected>Выберите Категорию</option>
                                    <?

                                $query = mysql_query("SELECT * FROM `voteCat` ORDER BY `id` ASC");
                                while ($ex = mysql_fetch_array($query)) {

                                    ?>

                                    <option
                                        <?

                                        if ($id == $ex['id']) {
                                            ?>
                                            selected
                                            <?
                                        }
                                        ?>
                                            value="<?= $ex['id'] ?>"><?= $ex['name'] ?></option>
                                    <?
                                }

                                ?>
                            </select></p>


                            Кто может смотреть опрос?
                            <select name="who">
                                <option value="0" selected>Все пользователи</option>
                                <option value="1">М</option>
                                <option value="2">Ж</option>
                            </select><br/><br/>

                            Время завершения(например: <b><?= date('Y-m-d', strtotime('+1 days')) ?></b>):<br/>
                            <input type="text" name="time_end" value="<?= date('Y-m-d', strtotime('+1 days')) ?>"/><br/><br/>

                            Варианты ответов: [<a href="javascript://" id="add" onclick="return add_new();">доб.
                                поле</a>]<br/><br/>


                            <div id="table_container">
                            </div>
                            <br/>

                            <input type="submit" value="Добавить"/>
                            <?
                            ?>
                        </form>
                    </div>
                    <?
                } else {
                    $n = count($_POST);
                    $key = array_keys($_POST);
                    $name_vote = my_esc($_POST['name_vote']); # название опроса
                    $desc = my_esc($_POST['msg']); # описание опроса
                    $cat = (int)$_POST['cat'];
                    $cat_vote = mysql_fetch_array(mysql_query("SELECT * FROM `voteCat` WHERE `id` = '{$cat}' LIMIT 1"));
                    $who = (int)$_POST['who']; # кто может заходить в опрос
                    $time_end = my_esc($_POST['time_end']);


                    // Если название пустое, то выводим ошибку
                    if (empty ($name_vote)) {

                        ?>
                        <div class="mess">
                            Извините! Пустое название
                        </div>
                        <?

                    } else {

                        // Если название больше 30 символов, то выводим ошибку
                        if (mb_strlen($name_vote, "utf-8") > 70) {

                            ?>
                            <div class="mess">
                                Извините! Название больше 70 символов
                            </div>
                            <?

                        } else {

                            // Если название опроса уже пристутвует в базе данных, то выдаем ошибку
                            if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `vote` WHERE `name_vote` = '{$name_vote}'"), 0) == TRUE) {

                                ?>
                                <div class="mess">
                                    Извините! Такое название уже существует в опросах
                                </div>
                                <?

                            } else {

                                // Если описание опроса больше , чем 300 символов , то выдаем ошибку
                                if (mb_strlen($desc, "utf-8") > 300) {

                                    ?>
                                    <div class="mess">
                                        Извините! Описание превышает 300 символов
                                    </div>
                                    <?

                                } else {

                                    // Если что-то с категорией пошло не так, то выдаем ошибку
                                    if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteCat` WHERE `id` = '{$cat}'"), 0) == FALSE) {
                                        ?>
                                        <div class="mess">
                                            Извините! Произошла ошибка<br/>
                                            Категория не найдена
                                        </div>
                                        <?
                                    } else {

                                        // Если категория не соответствует добавлению, то выдаем ошибку
                                        if (($cat_vote['add_vote'] == 1 AND $user['level'] < 1) OR ($cat_vote['add_vote'] == 2 AND $user['level'] > 0) OR ($cat_vote['add_vote'] == 3 AND $user['id'] != 1)) {

                                            $arr = array(
                                                1 => 'Только для администрации',
                                                2 => 'Только пользователям',
                                                3 => 'Только создателю сайта'
                                            );

                                            ?>

                                            <div class="mess">
                                                Извините! В категории <a
                                                        href="/vote/cat/<?= $cat_vote['id'] ?>/"><?= $cat_vote['name'] ?></a>
                                                создание
                                                опроса
                                                доступно: <b><?= $arr[$cat_vote['add_vote']] ?></b>
                                            </div>
                                            <?

                                        } else {

                                            if (date_check($time_end) == FALSE) {
                                                ?>
                                                <div class="mess">
                                                    Извините!<br/>
                                                    <b><?= $time_end ?></b> Формат даты указан неверно
                                                </div>
                                                <?
                                            } else {

                                                if (date('d', strtotime($time_end)) < date('d', TIME())) {
                                                    ?>
                                                    <div class="mess">
                                                        Извините!<br/>
                                                        <b><?= $time_end ?></b><br/>
                                                        Некорректная дата
                                                    </div>
                                                    <?
                                                } else {

                                                    // Если варианты ответа вопрос не добавлены, то выдаем ошибку
                                                    if (empty($_POST[$key[4]])) {
                                                        ?>
                                                        <div class="mess">
                                                            Извините! Вы не добавили варианты голосования
                                                        </div>
                                                        <?

                                                    } else {

                                                        $anw = null;
                                                        // Варианты ответа опроса
                                                        for ($i = 1; $i <= $n; $i++) {

                                                            if (!empty ($_POST["input_title_" . $i])) {

                                                                $anw .= @$_POST["input_title_" . $i] . "|";

                                                            }

                                                        }

                                                        /* Если все прошло без ошибок, то создаем опрос */
                                                        mysql_query("INSERT INTO `vote` SET `userId` = '{$user['id']}', `catId` = '" . (int)$_POST['cat'] . "', `name_vote` = '{$name_vote}', `description` = '{$desc}', `who` = '{$who}', `answers` = '{$anw}', `time` = '{$time}', `time_end` = '" . strtotime($time_end) . "'");
                                                        $id = mysql_insert_id(); # ID уже созданного опроса

                                                        // upload picture
                                                        $error = array();
                                                        for ($i = 1; $i <= $n; $i++) {
                                                            if (!empty ($_FILES["input_picture_" . $i])) {


                                                                $allowed = array('png', 'jpg', 'gif');
                                                                $extension = pathinfo($_FILES["input_picture_" . $i]['name'], PATHINFO_EXTENSION);

                                                                if (!in_array(strtolower($extension), $allowed)) {
                                                                    $error[] = $_FILES["input_picture_" . $i]['name'];
                                                                } else {
                                                                    $file_name = "{$id}_{$i}_{$id}.jpg";
                                                                    move_uploaded_file($_FILES["input_picture_" . $i]['tmp_name'], $_SERVER['DOCUMENT_ROOT'] . "/vote/i/" . $file_name);
                                                                }
                                                            }
                                                        }

                                                        foreach ($error as $value) {
                                                            if (!empty($value)) {
                                                                ?>
                                                                <div class="err">
                                                                    Извините! Файл
                                                                    <b><?= htmlspecialchars($value) ?></b> не является
                                                                    изображением
                                                                </div>
                                                                <?
                                                            }
                                                        }

                                                        ?>
                                                        <div class="mess">
                                                            Поздравляем ! Голосование успешно создано<br/>
                                                            <img src="/vote/icons/star.png" alt="star"/> <a
                                                                    href="/vote/<?= $id ?>/">Перейти</a>
                                                        </div>
                                                        <?
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }

        break;

    /**
     * Категория
     */

    case 'cat':

        $id = (int)$_GET['id']; # ID выбираемой категории
        $cat = mysql_fetch_array(mysql_query("SELECT * FROM `voteCat` WHERE `id` = '{$id}' LIMIT 1")); # действие с категорией

        // Если категория не найдена, то выдаем ошибку
        if (!$cat) {

            // шапка страницы
            $set['title'] = 'Ошибка';
            include_once '../sys/inc/thead.php';
            title();
            aut();

            ?>
            <div class="mess">
                <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
            </div><br/>

            <div class="mess">
                Извините! Категория не найдена
            </div>
            <?

        } else {

            // шапка страницы
            $set['title'] = "Категория - " . htmlspecialchars($cat['name'])";
            include_once '../sys/inc/thead.php';
            title();
            aut();

            // Массив выбора возможности для создания опроса
            $arr = array(
                'Всем пользователям',
                'Только для администрации',
                'Только пользователям',
                'Только создателю сайта'
            );

            ?>
            <div class="mess">
                <img src=" / vote / icons / all . png" alt="Все категории" /> <a href=" / vote / ">Все категории</a><br/>
                <?
                if (($cat['add_vote'] == 0) OR ($cat['add_vote'] == 1 AND $user['level'] > 0) OR ($cat['add_vote'] == 2 AND $user['level'] == 0) OR ($cat['add_vote'] == 3 AND $user['id'] == 1)) {
                    ?>
                    <img src=" / vote / icons / add . png" alt="Добавить голосование" /> <a href=" / vote / add_vote /<?= $cat['id'] ?>/">Добавить голосование</a>
            <br/>
            <?
                }
        ?>
        <br/>
        Разрешено добавлять: <b><?= $arr[$cat['add_vote']] ?></b>
        </div><br/>

        <div class="nav1">
            Фильтр -

            <?
            $sorts = array(
                1,
                2,
                3
            );
            $sort = (isset($_SESSION['mt']) AND in_array($_SESSION['mt'], $sorts)) ? $_SESSION['mt'] : 1;
            $sort = (isset($_GET['mt']) AND in_array($_GET['mt'], $sorts)) ? $_GET['mt'] : $sort;
            $_SESSION['mt'] = $sort;

            echo ($sort == 1) ? '<b>Все</b> :: ' : '<a href="?mt=1">Все</a> :: ';
            echo ($sort == 2) ? '<b>Активные</b> :: ' : '<a href="?mt=2">Активные</a> :: ';
            echo ($sort == 3) ? '<b>Завершенные</b>' : '<a href="?mt=3">Завершенные</a>';

            if ($sort == 1) {
                $count = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `vote` WHERE `catId` = '{$id}'"), 0);
                $k_page = k_page($count, $set['p_str']);
                $page = page($k_page);
                $start = $set['p_str'] * $page - $set['p_str'];
                $query = mysql_query("SELECT * FROM `vote` WHERE `catId` = '{$id}' ORDER BY `time` DESC LIMIT {$start}, {$set['p_str']}");
            } else
                if ($sort == 2) {
                    $count = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `vote` WHERE `catId` = '{$id}' AND `time_end` > {$time}"), 0);
                    $k_page = k_page($count, $set['p_str']);
                    $page = page($k_page);
                    $start = $set['p_str'] * $page - $set['p_str'];
                    $query = mysql_query("SELECT * FROM `vote` WHERE `catId` = '{$id}' AND `time_end` > '{$time}' ORDER BY `time` DESC LIMIT {$start}, {$set['p_str']}");
                } else
                    if ($sort == 3) {
                        $count = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `vote` WHERE `catId` = '{$id}' AND `time_end` < {$time}"), 0);
                        $k_page = k_page($count, $set['p_str']);
                        $page = page($k_page);
                        $start = $set['p_str'] * $page - $set['p_str'];
                        $query = mysql_query("SELECT * FROM `vote` WHERE `catId` = '{$id}' AND `time_end` < '{$time}' ORDER BY `time` DESC LIMIT {$start}, {$set['p_str']}");
                    }

            ?>
        </div><br/>
        Кол-во голосований: <?= $count ?>
        <?
        // Цикл вывода голосований
        if (!empty($count)) {
            while ($ex = mysql_fetch_array($query)) {
                $comm = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteComm` WHERE `voteId` = '{$ex['id']}'"), 0);
                ?>
                <div class="mess">
                    <?
                    echo "<img src='/vote/icons/delicious.png' alt='delicious' /> <a href='/vote/{$ex['id']}/'> " . htmlspecialchars($ex['name_vote']) . "</a> ({$comm})<br />";
                    if ($ex['time_end'] < TIME() AND $sort == 1)
                        echo '<img src="/vote/icons/completed.png" alt="Завершено" /> <b>Завершено</b><br />';
                    if ($user['id'] == 1 OR $ex['userId'] == $user['id']) {
                        ?>
                        <img src="/vote/icons/edit.png" alt="Изменить / Удалить"/> [<a
                                href="/vote/edit/<?= $ex['id'] ?>/"><span
                                    style="color: green;"><b>Изменить</b></span></a> | <a
                                href="/vote/delete/<?= $ex['id'] ?>/"><span
                                    style="color: red;"><b>Удалить</b></span></a>]
                        <?
                    }
                    ?>
                </div>
                <?
            }

            if ($k_page > 1)
                str("/vote/cat/{$id}/?", $k_page, $page); // вывод страниц
        }
}

break;


/**
 * Опрос
 */

case
'vote':

        $id = (int)$_GET['id']; # ID передаваемого опроса
        $vote = mysql_fetch_array(mysql_query("SELECT * FROM `vote` WHERE `id` = '{$id}' LIMIT 1")); # Действие с опросом
        $cat = mysql_fetch_array(mysql_query("SELECT * FROM `voteCat` WHERE `id` = '{$vote['catId']}' LIMIT 1")); # Действие с категорией

    // Если опрос не найден в базе данных, то выдаем ошибку
        if (empty($vote)) {

            // шапка страницы
            $set['title'] = 'Ошибка';
            include_once '../sys/inc/thead.php';
            title();
            aut();

            ?>

            <div class="mess">
                <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
            </div><br/>

            <div class="mess">
                Извините! Голосование не найдено
            </div>
            <?

        } else {

            /* Кто может просматривать опрос */

            if ($vote['who'] == 1 AND $user['pol'] != 1 AND $user['level'] < 4) {
                // шапка страницы
                $set['title'] = 'Ошибка';
                include_once '../sys/inc/thead.php';
                title();
                aut();

                ?>

                <div class="mess">
                    <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                </div><br/>

                <div class="mess">
                    Извините! Опрос могут просматривать <b>только парни</b>
                </div>
                <?
            } else {

                if ($vote['who'] == 2 AND $user['pol'] != 0 AND $user['level'] < 4) {
                    // шапка страницы
                    $set['title'] = 'Ошибка';
                    include_once '../sys/inc/thead.php';
                    title();
                    aut();

                    ?>

                    <div class="mess">
                        <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                    </div><br/>

                    <div class="mess">
                        Извините! Опрос могут просматривать <b>только девушки</b>
                    </div>
                    <?
                } else {

                    // Список проголосовавших передаваемым $_GET методом
                    if (isset($_GET['all_users'])) {

                        $all_id = (int)$_GET['all_users']; # номер варианта ответа

                        // Если пользователь ещё не проглосовал за опрос(ID = 1 не в счет), то запрещаем ему смотреть список проголосовавших
                        if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteAnswers` WHERE `userId` = '{$user['id']}' AND `voteId` = '{$id}'"), 0) == FALSE AND $user['id'] != 1) {

                            // шапка страницы
                            $set['title'] = 'Ошибка';
                            include_once '../sys/inc/thead.php';
                            title();
                            aut();

                            ?>

                            <div class="mess">
                                <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все
                                    категории</a><br/>
                                <img src="/vote/icons/right.png" alt="right"/> <a href="/vote/<?= $id ?>/">Вернуться к
                                    опросу</a><br/>
                            </div><br/>

                            <div class="mess">
                                Извините! Нельзя посмотреть список проголосовавших, если Вы сами ещё не сделали свой
                                выбор
                            </div>
                            <?

                        } else {

                            if ($vote['time_end'] < time() AND $user['id'] != 1) {

                                // шапка страницы
                                $set['title'] = 'Ошибка';
                                include_once '../sys/inc/thead.php';
                                title();
                                aut();

                                ?>

                                <div class="mess">
                                    <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все
                                        категории</a><br/>
                                    <img src="/vote/icons/right.png" alt="right"/> <a href="/vote/<?= $id ?>/">Вернуться
                                        к опросу</a><br/>
                                </div><br/>

                                <div class="err">
                                    Извините! Опрос уже завершен<br/>
                                    Просмотреть список <b>нельзя</b>
                                </div>

                                <?

                            } else {

                                // шапка страницы
                                $set['title'] = "Кто отдал голоса";
                                include_once '../sys/inc/thead.php';
                                title();
                                aut();

                                ?>

                                <div class="mess">
                                    <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все
                                        категории</a><br/>
                                    <img src="/vote/icons/right.png" alt="right"/> <a href="/vote/<?= $id ?>/">Вернуться
                                        к опросу</a><br/>
                                </div><br/>

                                <?

                                /*
                                 * Удаление пользователя из ответов голосования опроса
                                 * (доступно только ID = 1)
                                */
                                if (isset($_GET['del']) AND $user['id'] == 1) {
                                    $del = (int)$_GET['del'];
                                    $usr_vote = get_user($del);
                                    if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteAnswers` WHERE `userId` = '{$del}' AND `voteId` = '{$id}' AND `answer` = '{$all_id}'"), 0) == FALSE) {
                                        ?>
                                        <div class="err">
                                            Извините! Пользователь <a href="/id<?= $del ?>"><?= $usr_vote['nick'] ?></a>
                                            не
                                            найден в ответе голоса
                                        </div>
                                        <?
                                    } else {
                                        mysql_query("DELETE FROM `voteAnswers` WHERE `userId` = '{$del}' AND `voteId` = '{$id}' AND `answer` = '{$all_id}'");
                                        ?>
                                        <div class="msg">
                                            Пользователь <a href="/id<?= $del ?>"><?= $usr_vote['nick'] ?></a> успешно
                                            удален из голосования ответа
                                        </div>
                                        <?
                                    }

                                }

                                // Выводим список проголосовавших за ответ
                                $exp = explode('|', $vote['answers']);
                                echo "Вариант голоса: <b>{$exp[$all_id-1]}</b>";
                                echo '<div class="mess">';
                                if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteAnswers` WHERE `voteId` = '{$id}' AND `answer` = '{$all_id}'"), 0) == FALSE) {
                                    ?>
                                    Никого
                                    <?
                                } else {
                                    $query = mysql_query("SELECT * FROM `voteAnswers` WHERE `voteId` = '{$id}' AND `answer` = '{$all_id}' ORDER BY `id` DESC");
                                    $i = 1;
                                    $event = null;
                                    while ($ex = mysql_fetch_array($query)) {
                                        $usr = get_user($ex['userId']);
                                        if ($event)
                                            $event .= ', ';
                                        if ($user['id'] == $ex['userId'])
                                            $event .= "<a href='/id{$ex['userId']}'><span style='color: red'><b>{$usr['nick']}</b></span></a>" . ($user['id'] == 1 ? ' [<a href="/vote/' . $id . '/?all_users=' . $all_id . '&amp;del=' . $ex['userId'] . '"><img src="/vote/icons/delete.png" alt="Удалить" /></a>]' : null);
                                        else
                                            $event .= "<a href='/id{$ex['userId']}'>{$usr['nick']}</a>" . ($user['id'] == 1 ? ' [<a href="/vote/' . $id . '/?all_users=' . $all_id . '&amp;del=' . $ex['userId'] . '"><img src="/vote/icons/delete.png" alt="Удалить" /></a>]' : null);
                                    }
                                    echo $event;
                                }
                                echo '</div>';
                            }
                        }
                    } else {

                        // шапка страницы
                        $set['title'] = "Опрос - " . htmlspecialchars($vote['name_vote']);
                        include_once '../sys/inc/thead.php';
                        title();
                        aut();

                        ?>
                        <div class="mess">
                            <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                            <img src="/vote/icons/star.png" alt="Категория - <?= $cat['name'] ?>"/> <a
                                    href="/vote/cat/<?= $cat['id'] ?>/"><?= $cat['name'] ?></a><br/>
                        </div>

                        <style>
                            .center {
                                text-align: center; /* Выравнивание по центру */
                            }
                        </style>
                        <?

                        // Если изображение существует , то показываем его на странице опроса
                        foreach (glob(H . "vote/i/{$id}_*") as $filename) {
                            $exp_file = explode('vote', $filename);
                            if (file_exists($filename) == TRUE) {
                                ?>
                                <p class="center"><img src="/vote/<?= $exp_file[1] ?>"
                                                       height="181" alt="Фотография"></p>


                                <?
                            }
                        }
                        if ($user['id'] == 1 OR $vote['userId'] == $user['id']) {
                            $arr = array(
                                'Все пользователи',
                                'М',
                                'Ж'
                            );

                            $arr2 = array(
                                'Нет',
                                'Да');

                            ?>
                            <img src="/vote/icons/edit.png" alt="Изменить / Удалить"/> [<a
                                    href="/vote/edit/<?= $vote['id'] ?>/"><span
                                        style="color: green;"><b>Изменить</b></span></a> |
                            <a href="/vote/delete/<?= $vote['id'] ?>/"><span
                                        style="color: red;"><b>Удалить</b></span></a>]
                            <br/>
                            Кто может просматривать опрос: <b><?= $arr[$vote['who']] ?></b><br/>
                            <hr/>
                            <?
                        }
                        $usr = get_user($vote['userId']);
                        ?>
                        Добавил: <a
                                href="/id<?= $vote['userId'] ?>"><?= $usr['nick'] ?></a> <?= online($vote['userId']) ?>
                        <br/>
                        Дата создания: <?= vremja($vote['time']) ?><br/>
                        Время завершения: <?= vremja($vote['time_end']) ?><br/>
                        <div class="mess">
                            <?
                            if (!empty($vote['description'])) {
                                echo output_text($vote['description']) . '<br /><br />';
                            }

                            if (isset($_GET['vote_id'])) {
                                $vote_id = (int)$_GET['vote_id'];

                                if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteAnswers` WHERE `userId` = '{$user['id']}' AND `voteId` = '{$id}' "), 0) == TRUE) {

                                    ?>
                                    <div class="err">
                                        Извините! Вы уже отдали ранее свой голос этому опросу
                                    </div>

                                    <?

                                } else {

                                    if ($vote['time_end'] < time() AND $user['id'] != 1) {

                                        ?>
                                        <div class="err">
                                            Извините! Опрос уже завершен<br/>
                                            Проголосовать нельзя
                                        </div>

                                        <?

                                    } else {

                                        // Сохраняем в базе данных
                                        mysql_query("INSERT INTO `voteAnswers` SET `userId` = '{$user['id']}', `voteId` = '{$id}', `answer` = '{$vote_id}', `time` = '{$time}'");
                                        header("Location: /vote/{$id}/");

                                    }
                                }

                            }

                            ?>
                            <b><?= $vote['name_vote'] ?></b><br/><br/>
                            <?


                            if ($vote['time_end'] > time() OR $user['id'] == 1) {
                                $exp = explode('|', $vote['answers']); # массив с вариантами выбора
                                $i = 1;
                                foreach ($exp as $value) {
                                    if (!empty($value)) {
                                        if (@mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteAnswers` WHERE `userId` = '{$user['id']}' AND `voteId` = '{$id}'"), 0) == FALSE) {
                                            echo "{$i}. <a href='/vote/{$id}/{$i}/'>{$value}</a>";
                                            if ($user['id'] == 1)
                                                echo " [<a href='/vote/{$id}/?all_users={$i}'>?</a>]";
                                            ?>
                                            <br/>
                                            <?
                                        } else {
                                            // Массив цветов
                                            $color = array(
                                                'black',
                                                'dimgray',
                                                'gray',
                                                'grey',
                                                'darkgray',
                                                'darkgrey',
                                                'silver',
                                                'lightgray',
                                                'lightgrey',
                                                'gainsboro',
                                                'whitesmoke',
                                                'white',
                                                'snow',
                                                'rosybrown',
                                                'lightcoral',
                                                'indianred',
                                                'brown',
                                                'firebrick',
                                                'maroon',
                                                'darkred',
                                                'red',
                                                'salmon',
                                                'mistyrose',
                                                'tomato',
                                                'darksalmon',
                                                'coral',
                                                'orangered',
                                                'lightsalmon',
                                                'sienna',
                                                'seashell',
                                                'saddlebrown',
                                                'chocolate',
                                                'peachpuff',
                                                'sandybrown',
                                                'linen',
                                                'peru',
                                                'bisque',
                                                'darkorange',
                                                'antiquewhite',
                                                'tan',
                                                'burlywood',
                                                'blanchedalmond',
                                                'navajowhite',
                                                'papayawhip',
                                                'moccasin',
                                                'oldlace',
                                                'wheat',
                                                'orange',
                                                'floralwhite',
                                                'goldenrod',
                                                'darkgoldenrod',
                                                'cornsilk',
                                                'gold',
                                                'lemonchiffon',
                                                'khaki',
                                                'palegoldenrod',
                                                'darkkhaki',
                                                'ivory',
                                                'beige',
                                                'lightyellow',
                                                'olive',
                                                'yellow',
                                                'olivedrab',
                                                'yellowgreen',
                                                'darkolivegreen',
                                                'greenyellow',
                                                'lawngreen',
                                                'chartreuse',
                                                'honeydew',
                                                'darkseagreen',
                                                'lightgreen',
                                                'palegreen',
                                                'forestgreen',
                                                'limegreen',
                                                'darkgreen',
                                                'green',
                                                'lime',
                                                'seagreen',
                                                'mediumseagreen',
                                                'mintcream',
                                                'springgreen',
                                                'mediumspringgreen',
                                                'mediumaquamarine',
                                                'aquamarine',
                                                'turquoise',
                                                'lightseagreen',
                                                'mediumturquoise',
                                                'azure',
                                                'paleturquoise',
                                                'darkslategray',
                                                'teal',
                                                'darkcyan',
                                                'aqua',
                                                'cyan',
                                                'lightcyan',
                                                'darkturquoise',
                                                'cadetblue',
                                                'powderblue',
                                                'lightblue',
                                                'deepskyblue',
                                                'skyblue',
                                                'lightskyblue',
                                                'steelblue',
                                                'aliceblue',
                                                'slategray',
                                                'lightslategray',
                                                'dodgerblue',
                                                'lightsteelblue',
                                                'cornflowerblue',
                                                'royalblue',
                                                'ghostwhite',
                                                'lavender',
                                                'midnightblue',
                                                'navy',
                                                'darkblue',
                                                'mediumblue',
                                                'blue',
                                                'darkslateblue',
                                                'slateblue',
                                                'mediumslateblue',
                                                'mediumpurple',
                                                'blueviolet',
                                                'indigo',
                                                'darkorchid',
                                                'darkviolet',
                                                'mediumorchid',
                                                'thistle',
                                                'plum',
                                                'violet',
                                                'purple',
                                                'darkmagenta',
                                                'fuchsia',
                                                'magenta',
                                                'orchid',
                                                'mediumvioletred',
                                                'deeppink',
                                                'hotpink',
                                                'lavenderblush',
                                                'palevioletred',
                                                'crimson',
                                                'pink',
                                                'lightpink'
                                            );
                                            shuffle($color); # перемешиваем массив

                                            $all_vote = mysql_result(mysql_query("SELECT COUNT(id) FROM `voteAnswers` WHERE `voteId` = '{$id}'"), 0);
                                            $count_vote = mysql_result(mysql_query("SELECT COUNT(id) FROM `voteAnswers` WHERE `voteId` = '{$id}' AND `answer` = '{$i}'"), 0);
                                            // вычисляем проценты
                                            @$pr = round(($count_vote / $all_vote) * 100, 2);

                                            echo '<div class="main">';
                                            echo "<b>{$i}.</b> {$value} <span style='color: green;'><b>[{$count_vote}]</b></span> [<a href='/vote/{$id}/?all_users={$i}'>?</a>] [<span style='color: " . $color[$i] . "'><b>{$pr}%</b></span>]<br />";
                                            echo '<img src="/vote/img_rt.php?img=' . $pr . '" alt="Процентное состовляющее: ' . $pr . '" /><br />';
                                            echo '</div>';


                                        }
                                        $i++;
                                    }
                                }
                            } else {
                                ?>
                                <div class="nav1">
                                    Опрос уже завершился. Проголосовать <b>нельзя</b>
                                </div>
                                <?
                            }


                            ?>
                        </div>

                        <?

                        if (@mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteViews` WHERE `userId` = '{$user['id']}' AND `voteId` = '{$id}'"), 0) == FALSE) {
                            mysql_query("INSERT INTO `voteViews` SET `userId` = '{$user['id']}', `voteId` = '{$id}', `time` = '{$time}'");
                        }
                        $views = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteViews` WHERE `voteId` = '{$id}'"), 0);

                        ?>

                        <div class="right">
                            <?
                            if ($user['id'] == 1)
                                echo "<a href='/vote/{$id}/show_list/'>Просмотреть список</a>| ";
                            ?>
                            <img src="/vote/icons/views.png"/> <?= $views; ?>
                        </div>
                        <div class="mess">
                            <?
                            $plus = mysql_fetch_array(mysql_query("SELECT SUM(count) FROM `voteRating` WHERE `type` = 'plus' AND `voteId` = '{$id}'"));
                            $minus = mysql_fetch_array(mysql_query("SELECT SUM(count) FROM `voteRating` WHERE `type` = 'minus' AND `voteId` = '{$id}'"));
                            if ($user['id'] != $vote['userId'])
                                echo "<img src='/vote/icons/rating.png' alt='' />&nbsp;<a href='/vote/rating.php?id={$id}'>Рейтинг</a>&nbsp;опроса&nbsp;(<a href='/vote/rating.php?id={$id}&amp;act=1'>+</a>/<a href='/vote/rating.php?id={$id}&amp;act=2'>-</a>):&nbsp;" . (int)$plus[0] . "/" . (int)$minus[0] . "<br />" . PHP_EOL;
                            else
                                echo "<img src='/vote/icons/rating.png' alt='' />&nbsp;<a href='/vote/rating.php?id={$id}'>Рейтинг</a>&nbsp;опроса&nbsp;(+/-):&nbsp;" . (int)$plus[0] . "/" . (int)$minus[0] . "<br />" . PHP_EOL;

                            ?>
                        </div>

                        <?

                        $comm = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteComm` WHERE `voteId` = '{$id}'"), 0);


                        if (!empty($comm)) {
                            if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteComm` WHERE `voteId` = '{$id}'"), 0) > 3) {
                                ?>

                                <br/>
                                <div class="mess">
                                    <p class="center"><img src="/vote/icons/comm.png" alt="Комментарии"/> <a
                                                href="/vote/comm/<?= $id ?>/">Показать все комментарии</a>
                                        (<?= $comm ?>)</p>
                                </div>

                                <?
                            }

                            echo '</div><br />';

                            echo '<table class="post">';
                            $query = mysql_query("SELECT * FROM `voteComm` ORDER BY `id` DESC LIMIT 3");
                            $i = 1;
                            while ($ex = mysql_fetch_array($query)) {
                                $usr = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '{$ex['userId']}' LIMIT 1"));

                                // Лесенка
                                echo '<div class="' . ($i % 2 ? "nav1" : "nav2") . '">';
                                $i++;

                                echo user::avatar($usr['id'], 0) . user::nick($usr['id'], 1, 1, 1);

                                echo ' (' . vremja($ex['time']) . ')<br /><br />';

                                echo output_text($ex['comment']) . '<br />';

                                if ($user['id'] == 1) {
                                    echo '<div class="right">';
                                    echo '<a href="/vote/comm/' . $id . '/delete/' . $ex['id'] . '/"><img src="/vote/icons/delete.png" alt="*"></a>';
                                    echo '</div>';
                                }
                                echo '</div>';
                            }
                            echo '</table><br />';
                        }

                        ?>
                        <div class="mess">
                            <form action="/vote/comm/<?= $id ?>/" method="POST">
                                <?
                                if (is_file(H . 'style/themes/' . $set['set_them'] . '/altername_post_form.php')) {
                                    include_once H . 'style/themes/' . $set['set_them'] . '/altername_post_form.php';
                                } else {

                                    ?>
                                    Комментарий(300):<br/>
                                    <?= $tPanel ?><textarea name="msg"></textarea><br/>
                                    <?
                                }
                                ?>
                                <input type="submit" value="Отправить"/>
                            </form>
                        </div>
                        <?
                    }
                }
            }
        }

        break;

    /**
     * Список просмотревших опрос
     */

    case 'show_list':

        $id = (int)$_GET['id']; # ID передаваемого опроса
        $vote = mysql_fetch_array(mysql_query("SELECT * FROM `vote` WHERE `id` = '{$id}' LIMIT 1")); # действие с опросом

        // Если опрос не найден в базе данных, то выдаем ошибку
        if (!$vote) {

            // шапка страницы
            $set['title'] = 'Ошибка';
            include_once '../sys/inc/thead.php';
            title();
            aut();

            ?>
            <div class="mess">
                <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
            </div><br/>

            <div class="mess">
                Извините! Голосование не найдено
            </div>
            <?

        } else {

            // Если зашёл не id = 1 , то выдаем ошибку
            if ($user['id'] != 1) {

                // шапка страницы
                $set['title'] = 'Ошибка';
                include_once '../sys/inc/thead.php';
                title();
                aut();

                ?>
                <div class="mess">
                    <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                </div><br/>

                <div class="mess">
                    Извините! Вам сюда нельзя
                </div>
                <?

            } else {

                // шапка страницы
                $set['title'] = 'Список просмотревших';
                include_once '../sys/inc/thead.php';
                title();
                aut();
                ?>
                <div class="mess">
                    <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                    <img src="/vote/icons/right.png" alt="right"/> <a href="/vote/<?= $id ?>/">Вернуться к
                        опросу</a><br/>
                </div><br/>
                <?

                echo "Опрос: <b>{$vote['name_vote']}</b><br />";

                ?>
                <div class="mess">
                    <?
                    $query = mysql_query("SELECT * FROM `voteViews` WHERE `voteId` = '{$id}' ORDER BY `id` DESC");
                    $event = null;
                    while ($ex = mysql_fetch_array($query)) {
                        $usr = get_user($ex['userId']);
                        if ($event)
                            $event .= ', ';
                        if ($user['id'] == $ex['userId'])
                            $event .= "<a href='/id{$ex['userId']}'><span style='color: red'><b>{$usr['nick']}</b></span></a>";
                        else
                            $event .= "<a href='/id{$ex['userId']}'>{$usr['nick']}</a>";
                    }
                    echo $event;
                    ?>
                </div>
                <?
            }
        }

        break;

    /**
     * Комментарии
     */

    case 'comm':

        $id = (int)$_GET['id']; # ID передаваемого опроса
        $vote = mysql_fetch_array(mysql_query("SELECT * FROM `vote` WHERE `id` = '{$id}' LIMIT 1")); # действие с опросом

    // Если опрос не найден в базе данных, то выдаем ошибку
        if (!$vote) {

            // шапка страницы
            $set['title'] = 'Ошибка';
            include_once '../sys/inc/thead.php';
            title();
            aut();

            ?>
            <div class="mess">
                <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
            </div><br/>

            <div class="mess">
                Извините! Голосование не найдено
            </div>
            <?

        } else {

            // шапка страницы
            $set['title'] = "Комментарии - " . htmlspecialchars($vote['name_vote']);
            include_once '../sys/inc/thead.php';
            title();
            aut();
            ?>
            <div class="mess">
                <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                <img src="/vote/icons/right.png" alt="right"/> <a href="/vote/<?= $id ?>/">Вернуться к опросу</a><br/>
            </div><br/>
            <?

            /*
             * Удаление комментария
             * (доступно ID = 1)
            */
            if (isset($_GET['post_id']) AND $user['id'] == 1) {
                $post_id = (int)$_GET['post_id']; # ID передаваемого комментария
                if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteComm` WHERE `id` = '{$post_id}'"), 0) == FALSE) {

                    ?>
                    <div class="err">
                        Извините! Комментарий не найден
                    </div>
                    <?

                } else {

                    // Производим удаление комментария
                    mysql_query("DELETE FROM `voteComm` WHERE `id` = '{$post_id}'");
                    ?>
                    <div class="msg">
                        Комментарий успешно удален
                    </div>
                    <?
                }
            }

            // Отправляем данные комментария
            if (isset($_POST['msg'])) {
                $comment = my_esc($_POST['msg']);

                if (empty ($comment)) {

                    ?>
                    <div class="err">
                        Извините! Комментарий пустой
                    </div>
                    <?

                } else {

                    if (mb_strlen($comment, "utf-8") > 300) {

                        ?>
                        <div class="err">
                            Извините! Комментарий превышает 300 символов
                        </div>
                        <?

                    } else {

                        if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteComm` WHERE `voteId` = '{$id}' AND `comment` = '{$comment}'"), 0) == TRUE) {

                            ?>
                            <div class="err">
                                Извините! Вы уже отправляли данный комментарий ранее в этом опросе
                            </div>
                            <?

                        } else {

                            // Заполняем таблицу
                            mysql_query("INSERT INTO `voteComm` SET `userId` = '{$user['id']}', `voteId` = '{$id}', `comment` = '{$comment}', `time` = '{$time}'");
                            ?>
                            <div class="msg">
                                Поздравляем! Комментарий успешно добавлен
                            </div>
                            <?

                        }
                    }
                }
            }

            // Кол-во комментариев в выбранном опросе
            $count = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteComm` WHERE `voteId` = '{$id}'"), 0);
            ?>
            <div class="rekl">
                Кол-во комментариев: <?= $count ?>
            </div>

            <br/>
            <form action="/vote/comm/<?= $id ?>/" method="POST">
                <?
                if (is_file(H . 'style/themes/' . $set['set_them'] . '/altername_post_form.php')) {
                    include_once H . 'style/themes/' . $set['set_them'] . '/altername_post_form.php';
                } else {

                    ?>
                    Комментарий(300):<br/>
                    <?= $tPanel ?><textarea name="msg"></textarea><br/>
                    <?
                }
                ?>
                <input type="submit" value="Отправить"/>
            </form>

            <?
            // Цикл вывода комментариев
            if (!empty($count)) {
                $k_page = k_page($count, $set['p_str']);
                $page = page($k_page);
                $start = $set['p_str'] * $page - $set['p_str'];
                $query = mysql_query("SELECT * FROM `voteComm` WHERE `voteId` = '{$id}' ORDER BY `id` DESC LIMIT {$start}, {$set['p_str']}");
                $i = 1;
                while ($ex = mysql_fetch_array($query)) {
                    $usr = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '{$ex['userId']}' LIMIT 1"));

                    // Лесенка
                    echo '<div class="' . ($i % 2 ? "nav1" : "nav2") . '">';
                    $i++;

                    echo user::avatar($usr['id'], 0) . user::nick($usr['id'], 1, 1, 1);

                    echo ' (' . vremja($ex['time']) . ')<br /><br />';

                    echo output_text($ex['comment']) . '<br />';

                    if ($user['id'] == 1) {
                        echo '<div class="right">';
                        echo '<a href="/vote/comm/' . $id . '/delete/' . $ex['id'] . '/"><img src="/vote/icons/delete.png" alt="*"></a>';
                        echo '</div>';
                    }
                    echo '</div>';
                }

                if ($k_page > 1)
                    str("/vote/comm/{$id}/?", $k_page, $page); // вывод страниц
            }
        }

        break;

    /**
     * Редактирование
     */

    case 'edit':

        $id = (int)$_GET['id']; # ID

    // Если редактируем категорию, то
        if (isset($_GET['cat'])) {

            // т.к. создание и ред. категории доступно только ID = 1, то
            if ($user['id'] != 1) {

                // шапка страницы
                $set['title'] = 'Ошибка';
                include_once '../sys/inc/thead.php';
                title();
                aut();

                ?>
                <div class="mess">
                    Извините! Вам сюда нельзя
                </div>
                <?

            } else {

                $cat = mysql_fetch_array(mysql_query("SELECT * FROM `voteCat` WHERE `id` = '{$id}' LIMIT 1")); # действие с категорией

                if (!$cat) {

                    // шапка страницы
                    $set['title'] = 'Ошибка';
                    include_once '../sys/inc/thead.php';
                    title();
                    aut();

                    ?>

                    <div class="mess">
                        <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                    </div><br/>

                    <div class="mess">
                        Извините! Категория не найдена
                    </div>
                    <?

                } else {

                    // шапка страницы
                    $set['title'] = 'Изменение категории';
                    include_once '../sys/inc/thead.php';
                    title();
                    aut();

                    if (!isset($_POST['name'])) {

                        $arr = array(
                            'Всем пользователям',
                            'Только для администрации',
                            'Только пользователям',
                            'Только создателю сайта'
                        );

                        $count = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `vote` WHERE `catId` = '{$id}'"), 0);

                        ?>

                        <div class="mess">
                            <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                            <img src="/vote/icons/star.png" alt="Категория - <?= $cat['name'] ?>"/> <a
                                    href="/vote/cat/<?= $id ?>/"><?= $cat['name'] ?></a><br/>
                        </div><br/>

                        <div class="mess">
                            <form action="/vote/cat/edit/<?= $id ?>/" method="POST">
                                Дата создания категории: <b><?= vremja($cat['time']) ?></b><br/>
                                Опросов в категории: <b><?= $count ?></b><br/><br/>
                                Название категории(30):<br/>
                                <input type="text" name="name" value="<?= $cat['name'] ?>"/><br/><br/>
                                Возможность создания голосования в этой категории:<br/>
                                <select name="add_vote">
                                    <?
                                    foreach ($arr as $value => $key) {
                                        echo "<option value='{$value}'" . ($cat['add_vote'] == $value ? 'selected' : null) . ">{$key}</option>";
                                    }
                                    ?>
                                </select><br/><br/>

                                <input type="submit" value="Изменить"/>
                            </form>
                        </div>

                        <?
                    } else {
                        $name = my_esc($_POST['name']);
                        $add_vote = (int)$_POST['add_vote'];
                        if ($add_vote > 3)
                            die('error');

                        if (empty ($name)) {

                            ?>
                            <div class="mess">
                                Извините! Пустое название
                            </div>
                            <?

                        } else {

                            if (mb_strlen($name, "utf-8") > 30) {

                                ?>
                                <div class="mess">
                                    Извините! Название больше 30 символов
                                </div>
                                <?

                            } else {

                                mysql_query("UPDATE `voteCat` SET `name` = '{$name}', `add_vote` = '{$add_vote}' WHERE `id` = '{$id}'");
                                ?>
                                <div class="mess">
                                    <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все
                                        категории</a><br/>
                                </div><br/>
                                <div class="mess">
                                    Поздравляем ! Категория <b><?= $name ?></b> успешно <b>изменена</b><br/>
                                    <img src="/vote/icons/star.png" alt="star"/> <a
                                            href="/vote/cat/<?= $id ?>/">Перейти</a>
                                </div>
                                <?

                            }
                        }
                    }

                }
            }

        } else {

            $id = (int)$_GET['id'];
            $vote = mysql_fetch_array(mysql_query("SELECT * FROM `vote` WHERE `id` = '{$id}' LIMIT 1"));
            $cat = mysql_fetch_array(mysql_query("SELECT * FROM `voteCat` WHERE `id` = '{$vote['catId']}' LIMIT 1"));

            if (!$vote) {

                // шапка страницы
                $set['title'] = 'Ошибка';
                include_once '../sys/inc/thead.php';
                title();
                aut();


                ?>
                <div class="mess">
                    <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                </div><br/>

                <div class="mess">
                    Извините! Голосование не найдено
                </div>
                <?

            } else {

                if ($vote['userId'] != $user['id'] AND $user['id'] != 1) {

                    // шапка страницы
                    $set['title'] = 'Ошибка';
                    include_once '../sys/inc/thead.php';
                    title();
                    aut();

                    ?>
                    <div class="mess">
                        <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                    </div><br/>

                    <div class="mess">
                        Извините! Чужой опрос нельзя изменять
                    </div>
                    <?

                } else {


                    // шапка страницы
                    $set['title'] = 'Изменение опроса';
                    include_once '../sys/inc/thead.php';
                    title();
                    aut();

                    $exp = explode('|', $vote['answers']);

                    if (strtoupper($_SERVER['REQUEST_METHOD']) != 'POST') {
                        ?>

                        <script src="http://code.jquery.com/jquery-1.11.0.js"></script>

                        <script type="text/javascript">
                            var total = 0;

                            function add_new() {
                                total++;
                                $('<tr>')
                                    .attr('id', 'tr_image_' + total)
                                    .css({lineHeight: '20px'})
                                    .append(
                                        $('<td>')
                                            .attr('id', 'td_title_' + total)
                                            .css({paddingRight: '5px', width: '200px'})
                                            .append(
                                                $('<input type="text" />')
                                                    .css({width: '200px'})
                                                    .attr('id', 'input_title_' + total)
                                                    .attr('name', 'input_title_' + total)
                                            )
                                    )
                                    .append(
                                        $('<td>')
                                            .attr('id', 'td_picture_' + total)
                                            .css({paddingRight: '5px', width: '200px'})
                                            .append(
                                                $('<input type="file" />')
                                                    .css({width: '200px'})
                                                    .attr('id', 'input_picture_' + total)
                                                    .attr('name', 'input_picture_' + total)
                                            )
                                    )
                                    .append(
                                        $('<td>')
                                            .css({width: '60px'})
                                            .append(
                                                $('<span id="progress_' + total + '" class="padding5px"><a href="javascript://" onclick="$(\'#tr_image_' + total + '\').remove();" class="ico_delete"><img src="/vote/icons/delete.png" alt="del" border="0"></a></span>')
                                            )
                                    )
                                    .appendTo('#table_container');
                            }

                            $(document).ready(function () {
                                add_new();
                            });
                        </script>

                        <div class="mess">
                            <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                            <img src="/vote/icons/right.png" alt="right"/> <a href="/vote/<?= $id ?>/">Вернуться к
                                опросу</a><br/>
                        </div><br/>

                        <?

                        if (isset($_GET['delete_picture'])) {
                            $dp = (int)$_GET['delete_picture'];

                            if (file_exists(H . "vote/i/{$id}_{$dp}_{$id}.jpg") == FALSE) {
                                ?>
                                <div class="err">
                                    Извините! Изображение не найдено
                                </div>
                                <?
                            } else {

                                $_SESSION['delete_picture'][$dp] = $dp;
                                ?>
                                <div class="msg">
                                    Картинка будет удалена после сохранения изменений
                                </div>
                                <?
                            }
                        }

                        if (isset($_GET['delete_anw'])) {
                            $del_anw = (int)$_GET['delete_anw'];
                            $exp = explode('|', $vote['answers']);
                            if (empty ($exp[$del_anw - 1])) {
                                $_SESSION['delete_anw'] = false;
                                ?>
                                <div class="err">
                                    Извините! Ответ выбора опроса не найден в базе данных
                                </div>
                                <?
                            } else {

                                $result = str_replace($exp[$del_anw - 1] . '|', '', $vote['answers']);

                                if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteAnswers` WHERE `voteId` = '{$id}' AND `answer` = '{$del_anw}'"), 0) == TRUE)
                                    mysql_query("DELETE FROM `voteAnswers` WHERE `voteId` = '{$id}' AND `answer` = '{$del_anw}'");

                                mysql_query("UPDATE `vote` SET `answers` = '{$result}' WHERE `id` = '{$id}'");
                                header("Location: /vote/edit/{$id}/");
                            }
                        }

                        ?>
                        <form action="/vote/edit/<?= $id ?>/" enctype="multipart/form-data" method="POST">
                            <div class="mess">
                                Название(70): <input type="text" name="name_vote"
                                                     value="<?= $vote['name_vote'] ?>"><br/><br/>

                                <?

                                if (is_file(H . 'style/themes/' . $set['set_them'] . '/altername_post_form.php')) {
                                    include_once H . 'style/themes/' . $set['set_them'] . '/altername_post_form.php';
                                } else {

                                    ?>
                                    Описание(300, необязательно):<br/>
                                    <?= $tPanel ?><textarea name="msg"><?= $vote['description'] ?></textarea><br/>
                                    <br/>
                                    <?
                                }

                                ?>

                                Категория:
                                <select name="cat">
                                    <?

                                    $query = mysql_query("SELECT * FROM `voteCat` ORDER BY `id` ASC");
                                    while ($ex = mysql_fetch_array($query)) {

                                        ?>

                                        <option
                                            <?

                                            if ($vote['catId'] == $ex['id']) {
                                                ?>
                                                selected
                                                <?
                                            }
                                            ?>
                                                value="<?= $ex['id'] ?>"><?= $ex['name'] ?></option>
                                        <?
                                    }

                                    ?>
                                </select></p><br/>

                                <?

                                $arr = array(
                                    'Все пользователи',
                                    'М',
                                    'Ж'
                                );


                                $files = array_diff(scandir(H . 'vote/i/'), array('..', '.'));
                                foreach ($files as $value) {
                                    $exp = explode("_", $value);
                                    if ($exp[0] == $id) {
                                        if (@$_SESSION['delete_picture'][$exp[1]] == FALSE) {

                                            ?>
                                            <style>
                                                .center {
                                                    text-align: center; /* Выравнивание по центру */
                                                }
                                            </style>
                                            <p class="center"><img src="/vote/i/<?= $value ?>"
                                                                   height="181" alt="Фотография"><br/>
                                                <img src="/vote/icons/delete.png" alt="Удалить"/> <a
                                                        href="/vote/edit/<?= $id ?>/?delete_picture=<?= $exp[1] ?>">Удалить
                                                    картинку</a>
                                                <br/>
                                                <?
                                                ?>
                                            </p>


                                            <?
                                        }

                                    }
                                }

                                if (!empty($_SESSION['delete_picture'])) {
                                    if (isset($_GET['cancel'])) {
                                        unset($_SESSION['delete_picture']);
                                        header("Location: /vote/edit/{$id}/");
                                    }

                                    ?>
                                    <div class="main">
                                        Выбранные Картинки будут удалены после сохранения<br/>
                                        &raquo; <a href="/vote/edit/<?= $id ?>/?cancel">Отмена</a>
                                    </div>
                                    <?
                                }

                                ?>
                                <br/>
                                Кто может смотреть опрос?
                                <select name="who">
                                    <?
                                    foreach ($arr as $value => $key) {
                                        echo "<option value='{$value}'" . ($cat['add_vote'] == $value ? 'selected' : null) . ">{$key}</option>";
                                    }
                                    ?>
                                </select><br/><br/>

                                Время завершения(например: <b><?= date('Y-m-d', strtotime('+1 days')) ?></b>):<br/>
                                <input type="text" name="time_end"
                                       value="<?= date('Y-m-d', $vote['time_end']) ?>"/><br/><br/>

                                <?
                                $exp = explode("|", $vote['answers']);
                                if (!empty($exp)) {
                                    $i = 1;
                                    foreach ($exp AS $value) {
                                        $all_vote = mysql_result(mysql_query("SELECT COUNT(id) FROM `voteAnswers` WHERE `voteId` = '{$id}'"), 0);
                                        $count_vote = mysql_result(mysql_query("SELECT COUNT(id) FROM `voteAnswers` WHERE `voteId` = '{$id}' AND `answer` = '{$i}'"), 0);
                                        // Массив цветов
                                        $color = array(
                                            'black',
                                            'dimgray',
                                            'gray',
                                            'grey',
                                            'darkgray',
                                            'darkgrey',
                                            'silver',
                                            'lightgray',
                                            'lightgrey',
                                            'gainsboro',
                                            'whitesmoke',
                                            'white',
                                            'snow',
                                            'rosybrown',
                                            'lightcoral',
                                            'indianred',
                                            'brown',
                                            'firebrick',
                                            'maroon',
                                            'darkred',
                                            'red',
                                            'salmon',
                                            'mistyrose',
                                            'tomato',
                                            'darksalmon',
                                            'coral',
                                            'orangered',
                                            'lightsalmon',
                                            'sienna',
                                            'seashell',
                                            'saddlebrown',
                                            'chocolate',
                                            'peachpuff',
                                            'sandybrown',
                                            'linen',
                                            'peru',
                                            'bisque',
                                            'darkorange',
                                            'antiquewhite',
                                            'tan',
                                            'burlywood',
                                            'blanchedalmond',
                                            'navajowhite',
                                            'papayawhip',
                                            'moccasin',
                                            'oldlace',
                                            'wheat',
                                            'orange',
                                            'floralwhite',
                                            'goldenrod',
                                            'darkgoldenrod',
                                            'cornsilk',
                                            'gold',
                                            'lemonchiffon',
                                            'khaki',
                                            'palegoldenrod',
                                            'darkkhaki',
                                            'ivory',
                                            'beige',
                                            'lightyellow',
                                            'olive',
                                            'yellow',
                                            'olivedrab',
                                            'yellowgreen',
                                            'darkolivegreen',
                                            'greenyellow',
                                            'lawngreen',
                                            'chartreuse',
                                            'honeydew',
                                            'darkseagreen',
                                            'lightgreen',
                                            'palegreen',
                                            'forestgreen',
                                            'limegreen',
                                            'darkgreen',
                                            'green',
                                            'lime',
                                            'seagreen',
                                            'mediumseagreen',
                                            'mintcream',
                                            'springgreen',
                                            'mediumspringgreen',
                                            'mediumaquamarine',
                                            'aquamarine',
                                            'turquoise',
                                            'lightseagreen',
                                            'mediumturquoise',
                                            'azure',
                                            'paleturquoise',
                                            'darkslategray',
                                            'teal',
                                            'darkcyan',
                                            'aqua',
                                            'cyan',
                                            'lightcyan',
                                            'darkturquoise',
                                            'cadetblue',
                                            'powderblue',
                                            'lightblue',
                                            'deepskyblue',
                                            'skyblue',
                                            'lightskyblue',
                                            'steelblue',
                                            'aliceblue',
                                            'slategray',
                                            'lightslategray',
                                            'dodgerblue',
                                            'lightsteelblue',
                                            'cornflowerblue',
                                            'royalblue',
                                            'ghostwhite',
                                            'lavender',
                                            'midnightblue',
                                            'navy',
                                            'darkblue',
                                            'mediumblue',
                                            'blue',
                                            'darkslateblue',
                                            'slateblue',
                                            'mediumslateblue',
                                            'mediumpurple',
                                            'blueviolet',
                                            'indigo',
                                            'darkorchid',
                                            'darkviolet',
                                            'mediumorchid',
                                            'thistle',
                                            'plum',
                                            'violet',
                                            'purple',
                                            'darkmagenta',
                                            'fuchsia',
                                            'magenta',
                                            'orchid',
                                            'mediumvioletred',
                                            'deeppink',
                                            'hotpink',
                                            'lavenderblush',
                                            'palevioletred',
                                            'crimson',
                                            'pink',
                                            'lightpink'
                                        );
                                        shuffle($color); # перемешиваем массив
                                        // вычисляем проценты
                                        @$pr = round(($count_vote / $all_vote) * 100, 2);

                                        if (!empty($value)) {
                                            echo '<div class="main">';
                                            echo "<b>{$i}.</b> {$value} [{$count_vote}] [<a href='/vote/{$id}/?all_users={$i}'>?</a>] [<span style='color: {$color[$i]}'><b>{$pr}%</b></span>] [<a href='/vote/edit/{$id}/?delete_anw={$i}' title='Удалить вариант'><span style='color: red'><b>Х</b></a>]<br />";
                                            echo '<img src="/vote/img_rt.php?img=' . $pr . '" alt="Процентное состовляющее: ' . $pr . '" /><br />';
                                            echo '</div>';
                                        }
                                        $i++;
                                    }
                                }
                                ?>

                                <br/>
                                Варианты ответов: [<a href="javascript://" id="add" onclick="return add_new();">доб.
                                    поле</a>]<br/><br/>


                                <div id="table_container">
                                </div>
                                <br/><br/>

                                <input type="submit" value="Сохранить"/>
                            </div>
                        </form>
                        <?
                    } else {
                        $n = count($_POST);
                        $key = array_keys($_POST);
                        $name_vote = my_esc($_POST['name_vote']); # название опроса
                        $desc = my_esc($_POST['msg']); # описание опроса
                        $cat = (int)$_POST['cat'];
                        $cat_vote = mysql_fetch_array(mysql_query("SELECT * FROM `voteCat` WHERE `id` = '{$cat}' LIMIT 1"));
                        $who = (int)$_POST['who']; # кто может заходить в опрос
                        $time_end = my_esc($_POST['time_end']);

                        ?>
                        <div class="mess">
                            <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                            <img src="/vote/icons/right.png" alt="right"/> <a href="/vote/edit/<?= $id ?>/">Вернуться в
                                редактирование</a><br/>
                        </div><br/>
                        <?
                        if (empty ($name_vote)) {

                            ?>
                            <div class="mess">
                                Извините! Пустое название
                            </div>
                            <?

                        } else {

                            if (mb_strlen($name_vote, "utf-8") > 70) {

                                ?>
                                <div class="mess">
                                    Извините! Название больше 70 символов
                                </div>
                                <?

                            } else {

                                if (mb_strlen($desc, "utf-8") > 300) {

                                    ?>
                                    <div class="mess">
                                        Извините! Описание превышает 300 символов
                                    </div>
                                    <?

                                } else {

                                    if (empty($cat_vote)) {

                                        ?>
                                        <div class="mess">
                                            Извините! Произошла ошибка<br/>
                                            Категория не найдена
                                        </div>
                                        <?

                                    } else {

                                        // Если категория не соответствует добавлению, то выдаем ошибку
                                        if (($cat_vote['add_vote'] == 1 AND $user['level'] < 1) OR ($cat_vote['add_vote'] == 2 AND $user['level'] > 0) OR ($cat_vote['add_vote'] == 3 AND $user['id'] != 1)) {

                                            $arr = array(
                                                1 => 'Только для администрации',
                                                2 => 'Только пользователям',
                                                3 => 'Только создателю сайта'
                                            );

                                            ?>

                                            <div class="mess">
                                                Извините! В категории <a
                                                        href="/vote/cat/<?= $cat_vote['id'] ?>/"><?= $cat_vote['name'] ?></a>
                                                создание
                                                опроса
                                                доступно: <b><?= $arr[$cat_vote['add_vote']] ?></b>
                                            </div>
                                            <?

                                        } else {

                                            if (date_check($time_end) == FALSE) {
                                                ?>
                                                <div class="mess">
                                                    Извините!<br/>
                                                    <b><?= $time_end ?></b> Формат даты указан неверно
                                                </div>
                                                <?
                                            } else {

                                                if (date('d', strtotime($time_end)) < date('d', TIME())) {
                                                    ?>
                                                    <div class="mess">
                                                        Извините!<br/>
                                                        <b><?= $time_end ?></b><br/>
                                                        Некорректная дата
                                                    </div>
                                                    <?
                                                } else {

                                                    if (empty($vote['answers']) AND empty(@$_POST[$key[5]])) {
                                                        ?>
                                                        <div class="mess">
                                                            Извините! Вы не добавили варианты голосования
                                                        </div>
                                                        <?

                                                    } else {

                                                        $anw = $anw2 = null;
                                                        foreach ($exp AS $value) {
                                                            if (!empty ($value)) {
                                                                $anw .= @$value . "|";
                                                            }
                                                        }

                                                        for ($i = 1; $i <= $n; $i++) {

                                                            if (!empty ($_POST["input_title_" . $i])) {

                                                                $anw2 .= @$_POST["input_title_" . $i] . "|";

                                                            }

                                                        }


                                                        if (isset($_SESSION['delete_picture'])) {
                                                            foreach ($_SESSION['delete_picture'] as $value) {
                                                                unlink(H . "vote/i/{$id}_{$value}_{$id}.jpg");

                                                            }
                                                            unset($_SESSION['delete_picture']);
                                                        }

                                                        // upload picture

                                                        $error = array();
                                                        $num = count(glob(H . "vote/i/{$id}_*")) + 1;
                                                        for ($i = 1; $i <= $n; $i++) {
                                                            if (!empty ($_FILES["input_picture_" . $i])) {

                                                                $allowed = array('png', 'jpg', 'gif');
                                                                $extension = pathinfo($_FILES["input_picture_" . $i]['name'], PATHINFO_EXTENSION);

                                                                if (!in_array(strtolower($extension), $allowed)) {
                                                                    $error[] = $_FILES["input_picture_" . $i]['name'];
                                                                } else {
                                                                    $file_name = "{$id}_{$num}_{$id}.jpg";
                                                                    move_uploaded_file($_FILES["input_picture_" . $i]['tmp_name'], $_SERVER['DOCUMENT_ROOT'] . "/vote/i/" . $file_name);
                                                                }
                                                            }
                                                            $num++;
                                                        }

                                                        foreach ($error as $value) {
                                                            if (!empty($value)) {
                                                                ?>
                                                                <div class="err">
                                                                    Извините! Файл
                                                                    <b><?= htmlspecialchars($value) ?></b> не является
                                                                    изображением
                                                                </div>
                                                                <?
                                                            }
                                                        }

                                                        mysql_query("UPDATE `vote` SET `catId` = '{$cat}', `name_vote` = '{$name_vote}', `description` = '{$desc}', `who` = '{$who}', `answers` = '{$anw}{$anw2}', `time_end` = '" . strtotime($time_end) . "' WHERE `id` = '{$id}'");
                                                        ?>
                                                        <div class="mess">
                                                            Поздравляем ! Голосование успешно <b>изменено</b><br/>
                                                            <img src="/vote/icons/star.png" alt="star"/> <a
                                                                    href="/vote/<?= $id ?>/">Перейти</a>
                                                        </div>
                                                        <?
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }

        break;

    /**
     * Удаление
     */

    case 'delete':

        $id = (int)$_GET['id'];

        if (isset($_GET['cat'])) {

            $cat = mysql_fetch_array(mysql_query("SELECT * FROM `voteCat` WHERE `id` = '{$id}' LIMIT 1"));

            if (!$cat) {

                // шапка страницы
                $set['title'] = 'Ошибка';
                include_once '../sys/inc/thead.php';
                title();
                aut();

                ?>

                <div class="mess">
                    <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                </div><br/>

                <div class="mess">
                    Извините! Категория не найдена
                </div>
                <?

            } else {

                if ($user['id'] != 1) {

                    // шапка страницы
                    $set['title'] = 'Ошибка';
                    include_once '../sys/inc/thead.php';
                    title();
                    aut();

                    ?>
                    <div class="mess">
                        Извините! Вам сюда нельзя
                    </div>
                    <?

                } else {

                    // шапка страницы
                    $set['title'] = 'Удаление категории';
                    include_once '../sys/inc/thead.php';
                    title();
                    aut();

                    if (!isset($_POST['delete'])) {

                        $count = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `vote` WHERE `catId` = '{$id}'"), 0);

                        ?>

                        <div class="mess">
                            <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                            <img src="/vote/icons/star.png" alt="Категория - <?= $cat['name'] ?>"/> <a
                                    href="/vote/cat/<?= $id ?>/"><?= $cat['name'] ?></a><br/>
                        </div><br/>

                        <div class="mess">
                            <form action="/vote/cat/delete/<?= $id ?>/" method="POST">
                                Дата создания категории: <b><?= vremja($cat['time']) ?></b><br/><br/>
                                Название категории: <b><?= $cat['name'] ?></b><br/>
                                Опросов: <b><?= $count ?></b><br/><br/>
                                Вы действительно хотите удалить категорию?<br/><br/>
                                <input type="submit" name="delete" value="Да, Удалить"/>
                            </form>
                        </div>

                        <?
                    } else {

                        $vote = mysql_fetch_array(mysql_query("SELECT * FROM `vote` WHERE `catId` = '{$id}' LIMIT 1"));

                        if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteAnswers` WHERE `voteId` = '{$vote['id']}'"), 0) == TRUE) {
                            mysql_query("DELETE FROM `voteAnswers` WHERE `voteId` = '{$vote['id']}'");
                        }

                        if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteComm` WHERE `voteId` = '{$vote['id']}'"), 0) == TRUE) {
                            mysql_query("DELETE FROM `voteComm` WHERE `voteId` = '{$vote['id']}'");
                        }

                        if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteRating` WHERE `voteId` = '{$vote['id']}'"), 0) == TRUE) {
                            mysql_query("DELETE FROM `voteRating` WHERE `voteId` = '{$vote['id']}'");
                        }

                        if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteViews` WHERE `voteId` = '{$vote['id']}'"), 0) == TRUE) {
                            mysql_query("DELETE FROM `voteViews` WHERE `voteId` = '{$vote['id']}'");
                        }

                        foreach (glob(H . "vote/i/{$id}_*") as $filename) {
                            @unlink($filename);
                        }

                        if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `vote` WHERE `id` = '{$vote['id']}'"), 0) == TRUE) {
                            mysql_query("DELETE FROM `vote` WHERE `id` = '{$vote['id']}'");
                        }

                        mysql_query("DELETE FROM `voteCat` WHERE `id` = '{$id}'");
                        ?>
                        <div class="mess">
                            <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                        </div><br/>
                        <div class="mess">
                            Поздравляем ! Категория успешно удалена<br/>
                        </div>
                        <?
                    }
                }
            }

        } else {

            $id = (int)$_GET['id'];
            $vote = mysql_fetch_array(mysql_query("SELECT * FROM `vote` WHERE `id` = '{$id}' LIMIT 1"));

            if (!$vote) {

                // шапка страницы
                $set['title'] = 'Ошибка';
                include_once '../sys/inc/thead.php';
                title();
                aut();

                ?>
                <div class="mess">
                    <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                </div><br/>

                <div class="mess">
                    Извините! Голосование не найдено
                </div>
                <?

            } else {

                if ($vote['userId'] != $user['id'] AND $user['id'] != 1) {

                    // шапка страницы
                    $set['title'] = 'Ошибка';
                    include_once '../sys/inc/thead.php';
                    title();
                    aut();

                    ?>
                    <div class="mess">
                        <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                    </div><br/>

                    <div class="mess">
                        Извините! Чужой опрос нельзя удалять
                    </div>
                    <?

                } else {

                    // шапка страницы
                    $set['title'] = 'Удаление голосования';
                    include_once '../sys/inc/thead.php';
                    title();
                    aut();

                    if (isset($_POST['delete'])) {

                        if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteAnswers` WHERE `voteId` = '{$id}'"), 0) == TRUE) {
                            mysql_query("DELETE FROM `voteAnswers` WHERE `voteId` = '{$id}'");
                        }

                        if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteComm` WHERE `voteId` = '{$id}'"), 0) == TRUE) {
                            mysql_query("DELETE FROM `voteComm` WHERE `voteId` = '{$id}'");
                        }

                        if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteRating` WHERE `voteId` = '{$id}'"), 0) == TRUE) {
                            mysql_query("DELETE FROM `voteRating` WHERE `voteId` = '{$id}'");
                        }

                        if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteViews` WHERE `voteId` = '{$id}'"), 0) == TRUE) {
                            mysql_query("DELETE FROM `voteViews` WHERE `voteId` = '{$id}'");
                        }

                        foreach (glob(H . "vote/i/{$vote['id']}_*") as $filename) {
                            @unlink($filename);
                        }

                        mysql_query("DELETE FROM `vote` WHERE `id` = '{$id}'");
                        header("Location: /vote/cat/{$vote['catId']}/");
                    }

                    ?>
                    <div class="mess">
                        <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
                        <img src="/vote/icons/right.png" alt="right"/> <a href="/vote/<?= $id ?>/">Вернуться к
                            голосованию</a><br/>
                    </div><br/>
                    <div class="mess">
                        <form action="/vote/delete/<?= $id ?>/" method="POST">
                            Вы действительно хотите удалить опрос?<br/><br/>
                            <input type="submit" name="delete" value="Удалить"/>
                        </form>
                    </div>

                    <div class="mess">
                        <?
                        foreach (glob(H . "vote/i/{$id}_*") as $filename) {
                            $exp_file = explode('vote', $filename);
                            if (file_exists($filename) == TRUE) {
                                ?>
                                <style>
                                    .center {
                                        text-align: center; /* Выравнивание по центру */
                                    }
                                </style>
                                <p class="center"><img src="/vote/<?= $exp_file[1] ?>"
                                                       height="181" alt="Фотография"></p>


                                <?
                            }
                        }

                        ?>
                        Дата создания: <?= vremja($vote['time']) ?><br/>
                        Дата завершения: <?= vremja($vote['time_end']) ?><br/><br/>
                        <?

                        if (!empty($vote['description'])) {
                            echo output_text($vote['description']) . '<br /><br />';
                        }

                        ?>
                        <b><?= $vote['name_vote'] ?></b><br/><br/>
                        <?

                        $exp = explode('|', $vote['answers']);
                        $i = 1;
                        foreach ($exp as $value) {
                            if (!empty($value)) {

                                $all_vote = mysql_result(mysql_query("SELECT COUNT(id) FROM `voteAnswers` WHERE `voteId` = '{$id}'"), 0);
                                $count_vote = mysql_result(mysql_query("SELECT COUNT(id) FROM `voteAnswers` WHERE `voteId` = '{$id}' AND `answer` = '{$i}'"), 0);
                                // Массив цветов
                                $color = array(
                                    'black',
                                    'dimgray',
                                    'gray',
                                    'grey',
                                    'darkgray',
                                    'darkgrey',
                                    'silver',
                                    'lightgray',
                                    'lightgrey',
                                    'gainsboro',
                                    'whitesmoke',
                                    'white',
                                    'snow',
                                    'rosybrown',
                                    'lightcoral',
                                    'indianred',
                                    'brown',
                                    'firebrick',
                                    'maroon',
                                    'darkred',
                                    'red',
                                    'salmon',
                                    'mistyrose',
                                    'tomato',
                                    'darksalmon',
                                    'coral',
                                    'orangered',
                                    'lightsalmon',
                                    'sienna',
                                    'seashell',
                                    'saddlebrown',
                                    'chocolate',
                                    'peachpuff',
                                    'sandybrown',
                                    'linen',
                                    'peru',
                                    'bisque',
                                    'darkorange',
                                    'antiquewhite',
                                    'tan',
                                    'burlywood',
                                    'blanchedalmond',
                                    'navajowhite',
                                    'papayawhip',
                                    'moccasin',
                                    'oldlace',
                                    'wheat',
                                    'orange',
                                    'floralwhite',
                                    'goldenrod',
                                    'darkgoldenrod',
                                    'cornsilk',
                                    'gold',
                                    'lemonchiffon',
                                    'khaki',
                                    'palegoldenrod',
                                    'darkkhaki',
                                    'ivory',
                                    'beige',
                                    'lightyellow',
                                    'olive',
                                    'yellow',
                                    'olivedrab',
                                    'yellowgreen',
                                    'darkolivegreen',
                                    'greenyellow',
                                    'lawngreen',
                                    'chartreuse',
                                    'honeydew',
                                    'darkseagreen',
                                    'lightgreen',
                                    'palegreen',
                                    'forestgreen',
                                    'limegreen',
                                    'darkgreen',
                                    'green',
                                    'lime',
                                    'seagreen',
                                    'mediumseagreen',
                                    'mintcream',
                                    'springgreen',
                                    'mediumspringgreen',
                                    'mediumaquamarine',
                                    'aquamarine',
                                    'turquoise',
                                    'lightseagreen',
                                    'mediumturquoise',
                                    'azure',
                                    'paleturquoise',
                                    'darkslategray',
                                    'teal',
                                    'darkcyan',
                                    'aqua',
                                    'cyan',
                                    'lightcyan',
                                    'darkturquoise',
                                    'cadetblue',
                                    'powderblue',
                                    'lightblue',
                                    'deepskyblue',
                                    'skyblue',
                                    'lightskyblue',
                                    'steelblue',
                                    'aliceblue',
                                    'slategray',
                                    'lightslategray',
                                    'dodgerblue',
                                    'lightsteelblue',
                                    'cornflowerblue',
                                    'royalblue',
                                    'ghostwhite',
                                    'lavender',
                                    'midnightblue',
                                    'navy',
                                    'darkblue',
                                    'mediumblue',
                                    'blue',
                                    'darkslateblue',
                                    'slateblue',
                                    'mediumslateblue',
                                    'mediumpurple',
                                    'blueviolet',
                                    'indigo',
                                    'darkorchid',
                                    'darkviolet',
                                    'mediumorchid',
                                    'thistle',
                                    'plum',
                                    'violet',
                                    'purple',
                                    'darkmagenta',
                                    'fuchsia',
                                    'magenta',
                                    'orchid',
                                    'mediumvioletred',
                                    'deeppink',
                                    'hotpink',
                                    'lavenderblush',
                                    'palevioletred',
                                    'crimson',
                                    'pink',
                                    'lightpink'
                                );
                                shuffle($color); # перемешиваем массив
                                // вычисляем проценты
                                @$pr = round(($count_vote / $all_vote) * 100, 2);

                                echo '<div class="main">';
                                echo "{$i}. {$value} [{$count_vote}] [<span style='color: {$color[$i]}'><b>{$pr}%</b></span>]<br />";
                                echo '<img src="/vote/img_rt.php?img=' . $pr . '" alt="Процентное состовляющее: ' . $pr . '" /><br />';
                                echo '</div>';
                            }
                            $i++;
                        }

                        ?>
                    </div>
                    <br/>
                    <div class="mess">
                        <?
                        $plus = mysql_fetch_array(mysql_query("SELECT SUM(count) FROM `voteRating` WHERE `type` = 'plus' AND `voteId` = '{$id}'"));
                        $minus = mysql_fetch_array(mysql_query("SELECT SUM(count) FROM `voteRating` WHERE `type` = 'minus' AND `voteId` = '{$id}'"));
                        echo "<img src='/vote/icons/rating.png' alt='' />&nbsp;<a href='/vote/rating.php?id={$id}'>Рейтинг</a>&nbsp;опроса&nbsp;(+/-):&nbsp;" . (int)$plus[0] . "/" . (int)$minus[0] . "<br />" . PHP_EOL;
                        $comm = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteComm` WHERE `voteId` = '{$id}'"), 0);

                        ?>
                    </div>
                    <br/>
                    <div class="mess">
                        <p style="text-align: center"><img src="/vote/icons/comm.png" alt="Комментарии"/> <a
                                    href="/vote/comm/<?= $id ?>/">Показать все комментарии</a>
                            (<?= $comm ?>)</p>
                    </div>
                    <?
                }
            }
        }
        break;

    case 'top':

        // шапка страницы
        $set['title'] = 'Топ опросов';
        include_once '../sys/inc/thead.php';
        title();
        aut();

        ?>
    <div class="mess">
        <img src="/vote/icons/all.png" alt="Все категории"/> <a href="/vote/">Все категории</a><br/>
    </div><br/>
<?

        if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteRating` WHERE `type` = 'plus' AND `count` > 0"), 0) == FALSE) {
            ?>

            <div class="mess">
                Пусто
            </div>

            <?
        } else {

            $query = mysql_query("SELECT * FROM `voteRating` WHERE `type` = 'plus' AND `count` > 0 ORDER BY `count` DESC LIMIT 10");
            $event = null;
            $i = 0;
            while ($ex = mysql_fetch_array($query)) {
                $vote = mysql_fetch_array(mysql_query("SELECT * FROM `vote` WHERE `id` = '{$ex['voteId']}' LIMIT 10"));
                $usr = get_user($vote['userId']);
                @$plus = mysql_fetch_array(mysql_query("SELECT SUM(count) FROM `voteRating` WHERE `type` = 'plus' AND `voteId` = '{$ex['voteId']}'"));
                @$minus = mysql_fetch_array(mysql_query("SELECT SUM(count) FROM `voteRating` WHERE `type` = 'minus' AND `voteId` = '{$ex['voteId']}'"));
                $all_count = mysql_result(mysql_query("SELECT COUNT(id) FROM `voteAnswers` WHERE `voteId` = '{$ex['voteId']}'"), 0);
                $views = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `voteViews` WHERE `voteId` = '{$ex['voteId']}'"), 0);
                $i++;

                // Лесенка
                echo '<div class="' . ($i % 2 ? "nav1" : "nav2") . '">';
                echo "{$i}. <a href='/vote/{$ex['voteId']}/'>{$vote['name_vote']}</a><br />";
                if ($vote['time_end'] < TIME())
                    echo '<img src="/vote/icons/completed.png" alt="Завершено" /><b>Завершено</b><br />';
                echo '<br />';
                echo "<img src='/vote/icons/rating.png' alt='' /> <a href='/vote/rating.php?id={$ex['voteId']}'>Рейтинг</a> (+/-): " . (int)$plus[0] . "/" . (int)$minus[0] . "<br />";
                echo "<img src='/vote/icons/search.png' alt='' /> Пролосовало человек: <b>{$all_count}</b><br />";
                echo "<img src='/vote/icons/star.png' alt='' /> Создал: <a href='/id{$vote['userId']}'>{$usr['nick']}</a><br />";
                echo '<img src="/vote/icons/views.png" alt="" /> Просмотров: ' . $views;
                echo '</div>';
            }
        }

        break;

}

// подгружаем низ сайта
include_once '../sys/inc/tfoot.php';
